Mettre à jour un projet
curl --request PUT \
--url https://api.taap.it/v1/projects/{id} \
--header 'Authorization: <authorization>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"description": "<string>",
"color": "<string>"
}
'import requests
url = "https://api.taap.it/v1/projects/{id}"
payload = {
"name": "<string>",
"description": "<string>",
"color": "<string>"
}
headers = {
"Authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', description: '<string>', color: '<string>'})
};
fetch('https://api.taap.it/v1/projects/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"description": "<string>",
"updated_at": "<string>"
}API Projets
Mettre à jour un projet
Mettre à jour les propriétés d’un projet existant
PUT
/
v1
/
projects
/
{id}
Mettre à jour un projet
Requête :
Réponse :
cURL
curl -X PUT 'https://api.taap.it/v1/projects/project_987654321' \
-H 'Authorization: Bearer taapit_your_api_key_here' \
-H 'Content-Type: application/json' \
-d '{
"name": "Summer Marketing Campaign 2024",
"description": "Updated description for campaign"
}'
{
"id": "project_987654321",
"name": "Summer Marketing Campaign 2024",
"description": "Updated description for campaign",
"updated_at": "2024-01-15T11:00:00Z"
}
Autorisation
string
requis
Token Bearer pour l’authentification API. Format :
Bearer YOUR_API_KEYParamètres de chemin
string
requis
Identifiant unique pour le project to update
Paramètres de requête
string
Nom du projet
string
Description optionnelle pour le projet
string
Couleur du projet au format hexadécimal (ex: #FF6B6B, #FFF). Doit inclure le symbole # et être une couleur hexadécimale valide de 3 ou 6 caractères. La couleur sera normalisée en majuscules.
Champs de réponse
string
requis
Identifiant unique pour le updated project
string
requis
Nom du projet
string
Description du projet
string
requis
Horodatage ISO 8601 de dernière mise à jour du projet
⌘I